Qt 5.9 | Qt 3D | C++ Classes | QKeyFrame

Qt 5.9.9 Reference Documentation

# QKeyFrame Class

(Qt3DAnimation::QKeyFrame)

- List of all members, including inherited members

## Public Types

enum | InterpolationType { ConstantInterpolation, LinearInterpolation, BezierInterpolation }

## Public Functions

| QKeyFrame()
| QKeyFrame(QVector2D coords)
| QKeyFrame(QVector2D coords, QVector2D lh, QVector2D rh)
QVector2D | coordinates() const
InterpolationType | interpolationType() const
QVector2D | leftControlPoint() const
QVector2D | rightControlPoint() const
void | setCoordinates(QVector2D coords)
void | setInterpolationType(InterpolationType interp)
void | setLeftControlPoint(QVector2D lh)
void | setRightControlPoint(QVector2D rh)

## Member Type Documentation

### enum QKeyFrame::InterpolationType

## Member Function Documentation

### QKeyFrame::QKeyFrame()

Default constructs an instance of QKeyFrame.

### QKeyFrame::QKeyFrame(QVector2D coords)

Default constructs an instance of QKeyFrame.

### QKeyFrame::QKeyFrame(QVector2D coords, QVector2D lh, QVector2D rh)

Default constructs an instance of QKeyFrame.

### QVector2D QKeyFrame::coordinates() const

See also setCoordinates().

### InterpolationType QKeyFrame::interpolationType() const

See also setInterpolationType().

### QVector2D QKeyFrame::leftControlPoint() const

See also setLeftControlPoint().

### QVector2D QKeyFrame::rightControlPoint() const

See also setRightControlPoint().

### void QKeyFrame::setCoordinates(QVector2D coords)

See also coordinates().

### void QKeyFrame::setInterpolationType(InterpolationType interp)

See also interpolationType().

### void QKeyFrame::setLeftControlPoint(QVector2D lh)

See also leftControlPoint().

### void QKeyFrame::setRightControlPoint(QVector2D rh)

See also rightControlPoint().